Zympler.

Weather

The weather forecast for a location, as used in Zympler's forecasting and planning.

Weather forecast for a location

GET /weather-forecast/locations/{location_id}

curl

LOCATION_ID="<location_id>"

curl -X GET "https://api.zympler.com/v1beta/weather-forecast/locations/$LOCATION_ID?start=2026-01-01T00:00:00Z&end=2026-01-01T00:00:00Z" \
  -H "Authorization: Bearer $ZYMPLER_TOKEN"

Rust

let location_id = "<location_id>";
let response = reqwest::Client::new()
    .get(format!("https://api.zympler.com/v1beta/weather-forecast/locations/{location_id}"))
    .bearer_auth(&token)
    .query(&[("start", "2026-01-01T00:00:00Z"), ("end", "2026-01-01T00:00:00Z")])
    .send()
    .await?
    .error_for_status()?;
let body: serde_json::Value = response.json().await?;

Python

location_id = "<location_id>"
response = requests.get(
    f"https://api.zympler.com/v1beta/weather-forecast/locations/{location_id}",
    headers={"Authorization": f"Bearer {token}"},
    params={
        "start": "2026-01-01T00:00:00Z",
        "end": "2026-01-01T00:00:00Z",
    },
    timeout=30,
)
response.raise_for_status()
data = response.json()
Parameters
NameInTypeRequiredDescription
location_idpathstring (uuid)yesLocation ID
startquerystring (date-time)yesThe start datetime for the selected range (in 2024-08-21T13:00:00Z format)
endquerystring (date-time)yesThe end datetime for the selected range (in 2024-08-21T13:00:00Z format)
resolutionquerystring: 1m, 15mThe resolution of the interval (minute or quarter of an hour), defaults to quarter of an hour
historic_view_atquerystring (date-time)Use with care. Setting this parameter will return data as it was at the given timestamp.
weather_modelquerystringRetrieve data for a specific weather model
Responses

Fields

FieldTypeRequiredDescription
[].idstring (uuid)yes
[].sourcestringyes
[].h3_indexstringyes
[].latitudenumber (double)yes
[].longitudenumber (double)yes
[].timestring (date-time)yes
[].temperature_2mnumber (double)yes
[].relativehumidity_2mnumber (double)yes
[].precipitationnumber (double)yes
[].cloudcovernumber (double)yes
[].windspeed_10mnumber (double)yes
[].winddirection_10mnumber (double)yes
[].windspeed_120mnumber (double)
[].shortwave_radiationnumber (double)yes
[].diffuse_radiationnumber (double)yes
[].direct_normal_irradiancenumber (double)yes
[].snow_depthnumber (double)yes
[].retrieved_atstring (date-time)yesMeasurement time (in 2024-08-21T13:00:00Z format)
[].data_typestring: Actual, ForecastyesType of external data

Status codes

StatusDescription
200Ok
Search